package com.sun.xml.internal.ws.api.server;

import com.sun.istack.internal.Nullable;
import java.security.Principal;
import com.sun.istack.internal.NotNull;
import com.sun.xml.internal.ws.api.message.Packet;

public interface WebServiceContextDelegate
{
    public abstract Principal getUserPrincipal(@NotNull Packet p0);
    
    public abstract boolean isUserInRole(@NotNull Packet p0, String p1);
    
    @NotNull
    public abstract String getEPRAddress(@NotNull Packet p0, @NotNull WSEndpoint p1);
    
    @Nullable
    public abstract String getWSDLAddress(@NotNull Packet p0, @NotNull WSEndpoint p1);
}
